# AODataKeyPartition

Partitions a key across the processors to reduce communication costs.

### Synopsis

    #include "petscao.h"
    PetscErrorCode AODataKeyPartition(AOData aodata,const char key[])

Collective on AOData

### Input Parameters

| aodata | - the database
| key | - the key you wish partitioned and renumbered

### See Also

AODataSegmentPartition()

Level:advanced
Location:src/dm/ao/utils/aopart.c
Index of all AO routines
Table of Contents for all manual pages
Index of all manual pages